> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Deposit Customer

> Updates a customer associated with a specific deposit using the depositCustomerToken.

<Info>
  **Note:** When using the production environment at [moonpay.hel.io](http://app.hel.io), set your API endpoint to `api.hel.io/v1` and generate API keys there. For the development environment, use `api.dev.hel.io/v1` and generate API keys from [moonpay.dev.hel.io](http://app.dev.hel.io).
</Info>


## OpenAPI

````yaml PATCH /v1/deposit-customers/{depositCustomerToken}/api-key
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/deposit-customers/{depositCustomerToken}/api-key:
    patch:
      tags:
        - Deposits
      summary: Update Deposit Customer
      description: >-
        Updates a customer associated with a specific deposit using the
        depositCustomerToken.
      operationId: DepositController_updateCustomer
      parameters:
        - name: apiKey
          required: true
          in: query
          description: >-
            Your API key can be generated on the Helio Dashboard’s settings
            page.
          schema:
            type: string
        - name: depositCustomerToken
          required: true
          in: path
          description: The token associated with the deposit customer to retrieve.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDepositCustomer'
      responses:
        '200':
          description: The deposit customer was updated successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UpdateDepositCustomer'
              examples:
                exportedPaymentsList:
                  summary: Example of a successful updated deposit response
                  value:
                    id: 68f8c78f600865f76e7cc866
                    deposit: 68f25d8ebe91855f9fad444b
                    token: ba065c1b-9134-4a68-9bfc-104e5c1c7631
                    customerId: customerId
                    recipientPublicKeys:
                      - 7YancRyN3yp9s6G7YNwx9H93UqswoKFqF9GuNJPufyvW
        '401':
          description: Provided API key has no access to the resource.
          content:
            application/json:
              examples:
                unauthorized:
                  summary: Invalid or missing API key
                  value:
                    message: Api key or token is invalid
                    code: 401
      security:
        - bearer: []
components:
  schemas:
    UpdateDepositCustomer:
      type: object
      properties:
        recipientPublicKeys:
          type: array
          description: List of recipient public keys.
          items:
            type: string
        disabled:
          type: boolean
          description: >-
            Indicates whether the deposit customer is enabled or disabled. Set
            to true to disable, or false to enable.
        additionalJSON:
          type: string
          description: Optional JSON string containing metadata.
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authentication using JWT token

````